# Uses of Interface
javax.management.remote.JMXConnector

Packages that use JMXConnector
Package
Description
javax.management.remote
Interfaces for remote access to JMX MBean servers.
javax.management.remote.rmi
The RMI connector is a connector for the JMX Remote API that uses RMI to transmit client requests to a remote MBean server.

## Uses of JMXConnector in javax.management.remote

Methods in javax.management.remote that return JMXConnector
Modifier and Type
Method
Description
`static JMXConnector`
JMXConnectorFactory.`connect(JMXServiceURL serviceURL)`
Creates a connection to the connector server at the given address.
`static JMXConnector`
JMXConnectorFactory.`connect(JMXServiceURL serviceURL, Map<String,?> environment)`
Creates a connection to the connector server at the given address.
`static JMXConnector`
JMXConnectorFactory.`newJMXConnector(JMXServiceURL serviceURL, Map<String,?> environment)`
Creates a connector client for the connector server at the given address.
`JMXConnector`
JMXConnectorProvider.`newJMXConnector(JMXServiceURL serviceURL, Map<String,?> environment)`
Creates a new connector client that is ready to connect to the connector server at the given address.
`JMXConnector`
JMXConnectorServer.`toJMXConnector(Map<String,?> env)`
Returns a client stub for this connector server.
`JMXConnector`
JMXConnectorServerMBean.`toJMXConnector(Map<String,?> env)`
Returns a client stub for this connector server.

## Uses of JMXConnector in javax.management.remote.rmi

Classes in javax.management.remote.rmi that implement JMXConnector
Modifier and Type
Class
Description
`class`
`RMIConnector`
A connection to a remote RMI connector.
Methods in javax.management.remote.rmi that return JMXConnector
Modifier and Type
Method
Description
`JMXConnector`
RMIConnectorServer.`toJMXConnector(Map<String,?> env)`
Returns a client stub for this connector server.